package diffeq;

public interface DynamicModel {

    // A class, implementing this method must implement a method,
    // which computes ydot = F(t, y). For time invariant systems,
    // this reduces to ydot = F(y), but the solver allows general
    // models with time-dependent behavior.
    void computeDerivatives(double[] ydot, double t, double[] y);

    // This must return the number of state variables of the model.
    int getOrder();
}
